Your submission was sent successfully! Close

USN-427-1: enigmail vulnerability

23 February 2007

enigmail vulnerability

Releases

Details

Mikhail Markin reported that enigmail incorrectly handled memory
allocations for certain large encrypted attachments. This caused
Thunderbird to crash and thus caused the entire message to be
inaccessible.

Update instructions

The problem can be corrected by updating your system to the following package versions:

Ubuntu 6.10
  • mozilla-thunderbird-enigmail - 2:0.94-0ubuntu5.1
Ubuntu 6.06
  • mozilla-thunderbird-enigmail - 2:0.94-0ubuntu4.3
Ubuntu 5.10
  • mozilla-thunderbird-enigmail - 2:0.94-0ubuntu0.5.10.1

In general, a standard system upgrade is sufficient to effect the
necessary changes.

References